Last modified: 2012-07-28 18:30:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35259 - Display a more informative message on [[Special:Gadgets]] if [[MediaWiki:Gadgets-definition]] is still empty
Display a more informative message on [[Special:Gadgets]] if [[MediaWiki:Gadg...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Gadgets (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 18521 35126
  Show dependency treegraph
 
Reported: 2012-03-16 11:57 UTC by Helder
Modified: 2012-07-28 18:30 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2012-03-16 11:57:35 UTC
Currently, the same text (from [[MediaWiki:Gadgets-pagetext]]) is displayed on [[Special:Gadgets]]:
----
Below is a list of special gadgets users can enable on their preferences page, as defined by the definitions. This overview provides easy access to the system message pages that define each gadget's description and code.
----

This is not much clear on first use of the page, because at that point [[MediaWiki:Gadgets-definition]] is still empty, and there is no "Gadgets" tab on [[Special:Preferences]].

Maybe it should display a more descriptive message until [[MediaWiki:Gadgets-definition]] has some content.

See:
http://www.mediawiki.org/wiki/Extension_talk:Gadgets/Archive#No_Gadgets_displaying_after_apparently_following_extensions_installation
Comment 1 Krinkle 2012-07-24 21:09:54 UTC
Remove blocker on 38638, there is no interface message to be improved here. The request is to add a new message that is displayed when there are no gadgets configured.

Also note, that this is already fixed in the RL2 branch.
Comment 2 Krinkle 2012-07-28 18:30:33 UTC
Fixed in th RL2 branch, will be merged to master later.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links